Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 595333 - crash fails to start on recent live kernels
crash fails to start on recent live kernels
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: crash (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Anderson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-24 07:59 EDT by Jeff Layton
Modified: 2014-06-18 03:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:27:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Layton 2010-05-24 07:59:29 EDT
Latest crash version in fedora is 4.0.9-2.fc12. That version fails to start on F14 kernels:

----------------------[snip]----------------
# crash

crash 4.0.9-2.fc12
Copyright (C) 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009  Red Hat, Inc.
Copyright (C) 2004, 2005, 2006  IBM Corporation
Copyright (C) 1999-2006  Hewlett-Packard Co
Copyright (C) 2005, 2006  Fujitsu Limited
Copyright (C) 2006, 2007  VA Linux Systems Japan K.K.
Copyright (C) 2005  NEC Corporation
Copyright (C) 1999, 2002, 2007  Silicon Graphics, Inc.
Copyright (C) 1999, 2000, 2001, 2002  Mission Critical Linux, Inc.
This program is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions.  Enter "help copying" to see the conditions.
This program has absolutely no warranty.  Enter "help warranty" for details.
 
GNU gdb 6.1
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-unknown-linux-gnu"...

crash: cannot determine idle task addresses from init_tasks[] or runqueues[]

crash: cannot resolve "init_task_union"
----------------------[snip]----------------

I built a 5.0.4 version from Dave A's people page and it works fine.

As a side note, the crash SRPM on his page should probably also have BuildRequires for flex and bison -- I needed both in order for the build to work.
Comment 1 Dave Anderson 2010-05-24 09:05:05 EDT
> Latest crash version in fedora is 4.0.9-2.fc12. That version fails to start on
> F14 kernels:

Yeah, it's been due for an upgrade for some time now.  But given that
Fedora kernels may always change kernel versions "tomorrow", it's never
guaranteed to work, and the upstream version is always preferable
regardless.

> As a side note, the crash SRPM on his page should probably also have
> BuildRequires for flex and bison -- I needed both in order for the build to
> work.

They are only required for the sial.so extension module to build,
and for that reason, it was deemed preferable to just fail the individual
module build with the bison/flex error message as opposed to forcing
everybody else to have those packages installed, which the vast majority
of crash users have zero interest in.

+ cp extensions/sial.so /root/upstream/BUILDROOT/crash-5.0.4-0.x86_64/usr/lib64/crash/extensions
cp: cannot stat `extensions/sial.so': No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.ubJZfY (%install)

However, I see that the "cp" command should be conditional...

Thanks Jeff,
  Dave
Comment 2 Dave Anderson 2010-07-20 14:11:39 EDT
Upstream crash version 5.0.6 is available in the Fedora Rawhide devel branch:

  build: dist-f14 crash-5.0.6-2.fc14
  http://koji.fedoraproject.org/koji/buildinfo?buildID=184746
Comment 3 Bug Zapper 2010-07-30 07:42:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2012-08-16 18:27:17 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.